<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="PAGE_THEME_PATH" />
<xsl:param name="PAGE_WEB_PATH" />

<xsl:output method="html" encoding="utf-8" standalone="no" indent="yes" omit-xml-declaration="yes" />

<xsl:template match="pageranking">
<div class="boxPageRating">
  <xsl:if test="message">
    <p><xsl:value-of select="message" disable-output-escaping="yes" /></p>
  </xsl:if>
  <xsl:choose>
    <xsl:when test="links">
      <xsl:if test="count(links/link[@value = 2]) &gt; 0">
        <a href="{links/link[@value = 2]/@href}"><img src="{$PAGE_THEME_PATH}pics/thumb_up.gif" alt="positiv" /></a>
      </xsl:if>
      <xsl:if test="count(links/link[@value = 1]) &gt; 0">
        <a href="{links/link[@value = 1]/@href}"><img src="{$PAGE_THEME_PATH}pics/thumb_down.gif" alt="negativ" /></a>
      </xsl:if>
    </xsl:when>
    <xsl:otherwise>
      <div class="rating">
        <div class="negative"><div class="bar" style="width:{rating/@negative}%">&#160;</div></div>
        <div class="positive"><div class="bar" style="width:{rating/@positive}%">&#160;</div></div>
      </div>
    </xsl:otherwise>
  </xsl:choose>
  <br clear="all" />
</div>
</xsl:template>

</xsl:stylesheet>