<?php
/**
* Edit module forum
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: edmodule_forum.php,v 1.2 2005/12/15 13:28:25 weinert Exp $
*/

/**
* Basic class modules
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* Edit module forum
*
* Forum management
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class edmodule_forum extends base_module {
  /**
  * Permissions
  * @var array
  */
  var $permissions = array(
    1 => 'Manage',
    2 => 'Edit categories',
    3 => 'Edit forums',
    4 => 'Edit entries'
  );

  /**
  * Execute module
  *
  * @access public
  */
  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      $path = dirname(__FILE__);
      include_once($path.'/admin_forum.php');
      $forum = &new admin_forum;
      $forum->module = &$this;
      $forum->images = &$this->images;
      $forum->msgs = &$this->msgs;
      $forum->layout = &$this->layout;
      $forum->authUser = &$this->authUser;
      $forum->initialize();
      $forum->execute();
      $forum->getXML();
    }
  }
}

?>