<?php
/**
* URL-Eingabe ohne Weiterleitung fr I-Frame-Einbettung
*
* @package module_embed
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_frame.php,v 1.1.1.1 2005/09/30 15:51:07 weinert Exp $
*/

/**
* Basisklasse Seitenmodule
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Funktionsklasse Eingabeprfungen
*/
require_once(PAPAYA_INCLUDE_PATH.'system/sys_checkit.php');

/**
* IFrames
*
* URL-Eingabe ohne Weiterleitung fr I-Frame-Einbettung
*
* @package module_embed
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_frame extends base_content {

  var $editFields = array(
    'url'=>array ('URL', 'isNoHTML', TRUE, 'input', 800, 'Please input a relative or an absolute URL.'),
    'height'=>array ('Height', 'isNum', TRUE, 'input', 4,
      'Iframe height, width will be set in the template.', 300)
  );

  /**
  * Basic output function for admin area
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result .= sprintf('<url>%s</url>',$this->getAbsoluteURL(@$this->data['url'], '', TRUE));
    $result .= sprintf('<height>%d</height>',$this->data['height']);
    return $result;
  }
}

?>