<?php
/**
* Implementation common xml access
*
* @package papaya_base
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: common.php,v 1.6 2006/04/24 16:28:03 weinert Exp $
*/

/**
* error constant empty xml data
*/
define('XML_ERROR_EMPTY', 1);
/**
* error constant invalid file
*/
define('XML_ERROR_FILE',  2);
/**
* error constant xml parser error
*/
define('XML_ERROR_PARSE', 3);

/**
* base xml handling class
*
* @package papaya_base
*/
class xmltree_common {

  var $root = NULL;
  var $_currentNode = NULL;

  /**
  * Constructor
  *
  * @access public
  */
  function __construct($str = '') {
  }

  /**
  * PHP 4 constructor
  *
  * @access public
  */
  function xmltree_common($str = '') {
    $this->__construct($str);
  }

  /**
  * Set error array
  *
  * @param integer $error
  * @param array $params
  * @access public
  */
  function setError($error, $params = NULL) {
    $this->lastError[0] = $error;
    $this->lastError[1] = $params;
  }

  /**
  * Load xml from a file
  *
  * @access public
  * @return boolean
  */
  function loadFromFile() {
    return 0;
  }

  /**
  * Load xml from a string
  *
  * @access public
  * @return boolean
  */
  function loadFromString() {
    return 0;
  }
  
  function unserializeArrayFromXML(&$dataArr, $str) {
    return FALSE;
  }
  
  function free() {
    if (isset($this->_root)) {
      $this->_root->free();
      unset($this->_root);
    }
  }
}

?>