<?php
/**
* Userverwaltung
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: glyphview.php,v 1.1 2006/04/06 13:30:57 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE && ($PAPAYA_USER->hasPerm(4))) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Toolbar Icons'));

  ksort($PAPAYA_IMAGES);
  foreach($PAPAYA_IMAGES as $imgIdx => $fileName) {
    $thumbs[] = array($imgIdx, $fileName);
  }
  $cols = 20;
  $rows = ceil(count($thumbs) / $cols);
  
  $result = '<thumbnails size="width: 40px; height: 24px;">';
  for ($y = 0; $y < $rows; $y++) {
    $result .= '<line>';
    for ($x = 0; $x < $cols; $x++) {
      $idx = $y * $cols + $x;
      if (!isset($thumbs[$idx])) {
        break;
      }
      $result .= sprintf('<thumbnail src="pics/glyphs/%s" title="%d" hint="%d - %s" />',
        htmlspecialchars($thumbs[$idx][1]), htmlspecialchars($thumbs[$idx][0]),
        htmlspecialchars($thumbs[$idx][0]), htmlspecialchars($thumbs[$idx][1]));
    }
    $result .= '</line>';
  }
  $result .= '</thumbnails>';
  $PAPAYA_LAYOUT->add($result);
}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();
?>