<?php
/**
* Image browser
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: imgbrw.php,v 1.3 2005/12/08 09:49:24 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");


if ($PAPAYA_SHOW_ADMIN_PAGE && $PAPAYA_USER->hasPerm(28)) {
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_fileman.php');

  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Image browser'));

  $fileManager = &new papaya_filemanager;
  $fileManager->dataDirectory = PAPAYA_PATH_MEDIAFILES;
  $fileManager->thumbnailDirectory = PAPAYA_PATH_THUMBFILES;

  $fileManager->msgs = &$PAPAYA_MSG;
  $fileManager->authUser = &$PAPAYA_USER;
  $fileManager->images = &$PAPAYA_IMAGES;
  $fileManager->layout = &$PAPAYA_LAYOUT;

  $fileManager->initialize();
  $fileManager->executeBrowser();
  $fileManager->getThumbview();

} else {
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', 'Image browser');
  $PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
}
echo $PAPAYA_LAYOUT->xhtml();

?>