<?php
/**
* Page module - calendar
*
* @package module_calendar
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_calendar.php,v 1.1.1.1 2005/09/30 15:51:07 weinert Exp $
*/


/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');

/**
* Page module - calendar
*
* Display dates
*
* @package module_calendar
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_calendar extends base_content {

  var $editFields = array(
    'text'=>array ('Text', 'isSomeText', FALSE, 'textarea', 10)
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string output
  */
  function getParsedData() {
    include_once(dirname(__FILE__)."/papaya_calendar.php");
    $result = sprintf("<text>%s</text>", $this->getXHTMLString($this->data['text'], TRUE));

    $calendar = &new papaya_calendar;
    $calendar->initialize();
    $calendar->execute();

    $result .= '<calendar>'."\r\n";
    $result .= $calendar->showMonthTable();
    $result .= $calendar->showDetail();
    $result .= '</calendar>'."\r\n";

    return $result;
  }
}

?>