<?php
/**
* Change module calendar/date definition
*
* @package module_calendar
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: edmodule_calendar.php,v 1.1.1.1 2005/09/30 15:51:07 weinert Exp $
*/

/**
* Basic class Change moduel
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* Change module calendar/date definition
*
* @author Thomas Weinert
* @package module_calendar
*/
class edmodule_calendar extends base_module {

  var $permissions = array(
    1 => 'Browse',
    2 => 'Manage',
  );

  /**
  * execute module - access function of module
  *
  * @access public
  */
  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      include_once(dirname(__FILE__)."/papaya_calendar.php");

      $calendar = &new papaya_calendar;

      $calendar->images = &$this->images;
      $calendar->msgs = &$this->msgs;
      $calendar->authUser = &$this->authUser;
      $calendar->layout = &$this->layout;
      $calendar->initialize('cal', $this->authUser->userId);

      if ($this->hasPerm(2, TRUE)) {
        $calendar->showEdit = TRUE;
      }

      $calendar->execute();

      $this->layout->addLeft($calendar->showMonthTable());

      $this->layout->addLeft($calendar->showList($this->images));
      $this->layout->addRight($calendar->showRegularTopics());

      if ($this->hasPerm(2, TRUE)) {
        $calendar->getToolbar();
      }
      $this->layout->add($calendar->showData());

      if ($this->hasPerm(2, TRUE)) {
        $calendar->getButtons();
      }
    }
  }
}

?>