<?php

require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');
/**
* Action Box fr HTML
*
* @package actionbox
* @author Thomas Weinert <weinert@dimensional.de>
* @version 0.0.1
*/
class actionbox_searchbox extends base_actionbox {
  var $preview = TRUE;

  var $editFields = array(
    'page_id'=>array ('Page Id', 'isNum', TRUE, 'input', 5, ''),
    'buttontitle'=>array ('Button Title', 'isSomeText', TRUE, 'input', 50)
  );

  function getParsedData() {
    $this->initializeParams();
    $xml = sprintf('<searchdialog action="%s" button="%s">'.LF, $this->getWebLink(@$this->data['page_id']),
      htmlspecialchars(@$this->data['buttontitle']));
    $xml .= sprintf('<input type="text" name="%s[%s]" value="%s" class="text" />'.LF,
      $this->paramName, 'searchfor', htmlspecialchars(@$this->params['searchfor']));
    $xml .= '</searchdialog>'.LF;
    return $xml;
  }
  
  function getCacheId() {
    return FALSE;
  }
}
?>