<?php
/**
* Poll box
*
* @package module_poll
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_poll.php,v 1.3 2006/01/12 17:23:11 weinert Exp $
*/

/**
* Basic class aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Function class poll
*/
include_once(dirname(__FILE__).'/base_poll.php');
/**
* poll box
*
* @package module_forum
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_poll extends base_actionbox {

  /**
  * Preview
  * @var boolean
  */
  var $preview = TRUE;

  var $cacheable = FALSE;

  /**
  * Content edit fields
  * @var array
  */
  var $editFields = array(
    'file'=>array ('Link target', 'isNoHTML', FALSE, 'input', 100, ''),
    'linktext'=> array('Text', 'isNoHTML', FALSE, 'input', 40, '', 'more'),
    'poll'=>array ('Category / Poll', 'isNoHTML', TRUE, 'function', 'getPollCombo', '')
  );

  function getPollCombo($name, $field, $data) {
    $this->pollObject = &new base_poll();
    $this->pollObject->loadCategs();
    $this->pollObject->loadPolls();
    $result = sprintf('<select name="%s[%s]" class="dialogSelect dialogScale">'.LF,
    $this->paramName, $name);
    @list($mode, $dataId) = explode(';', $data);
    if (isset($this->pollObject->categs) && is_array($this->pollObject->categs)) {
      foreach ($this->pollObject->categs as $id=>$categ) {
        $categName = "[".$categ['categ_title']."] ";
        $selected = ($mode == 'categ' && $dataId == $categ['categ_id']) ? ' selected="selected"' : '';
        $result .= sprintf('<option value="categ;%d" %s>%s</option>'.LF,
        $categ['categ_id'],
        $selected,
        $categName
        );
        if (isset($this->pollObject->polls) && is_array($this->pollObject->polls)) {
          foreach ($this->pollObject->polls as $id=>$poll) {
            $selected = ($mode == 'poll' && $dataId == $poll['poll_id']) ? ' selected="selected"' : '';
            if ($poll['categ_id'] == $categ['categ_id']){
              $result .= sprintf('<option value="poll;%d" %s>%s</option>'.LF,
              $poll['poll_id'],
              $selected,
              "&nbsp;&nbsp;&nbsp;&nbsp;'->".htmlspecialchars($poll['question'])
              );
            }
          }
        }
      }
    }
    $result .= '</select>'.LF;
    return $result;
  }


  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $pollBoxObject = new base_poll();
    $pollBoxObject->module = &$this;
    $params = @$this->data;
    $str = $pollBoxObject->getOutput($params, FALSE);
    return $str;
  }

}
?>
