<?php
/**
* Manage path aliases
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: alias.php,v 1.2 2005/10/24 15:46:44 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE && $PAPAYA_USER->hasPerm(16)) {

  /**
  * Edit pages
  */
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_topic.php');
  /**
  * Edit aliases
  */
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_alias_tree.php');

  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Aliases'));

  $aliasTree = &new papaya_alias_tree;
  $aliasTree->images = &$PAPAYA_IMAGES;
  $aliasTree->layout = &$PAPAYA_LAYOUT;
  $aliasTree->authUser = &$PAPAYA_USER;
  $aliasTree->msgs = &$PAPAYA_MSG;
  $aliasTree->initialize();
  $aliasTree->execute();
  $aliasTree->getXML();

  if ($editMenu = $aliasTree->getButtons()) {
    $PAPAYA_NAVIGATION->setMenu('edit',$editMenu);
  }
}

$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();

?>