<?php
/**
* Messaging system for editors
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: msgbox.php,v 1.1.1.1 2005/09/30 15:51:03 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE',  _gt('Messages'));

  include_once(PAPAYA_INCLUDE_PATH.'system/base_messages.php');
  $messageBox = &new base_messages();
  $messageBox->layout = &$PAPAYA_LAYOUT;
  $messageBox->images = &$PAPAYA_IMAGES;
  $messageBox->msgs = &$PAPAYA_MSG;
  $messageBox->authUser = &$PAPAYA_USER;

  $messageBox->initialize();

  $messageBox->execute();
  $messageBox->getXML();
}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();
?>