var currentXMLReq;

function loadXMLDoc(url, aSync) {
    // branch for native XMLHttpRequest object
    if (window.XMLHttpRequest) {
        currentXMLReq = new XMLHttpRequest();
        currentXMLReq.onreadystatechange = XMLHTTPRequestHandler;
        currentXMLReq.open("GET", url, aSync);
        currentXMLReq.send(null);
        if (!aSync) {
          XMLHTTPRequestHandler();
        }
    // branch for IE/Windows ActiveX version
    } else if (window.ActiveXObject) {
        currentXMLReq = new ActiveXObject("Microsoft.XMLHTTP");
        if (currentXMLReq) {
            currentXMLReq.onreadystatechange = XMLHTTPRequestHandler;
            currentXMLReq.open("GET", url, aSync);
            currentXMLReq.send();
            if (!aSync) {
              XMLHTTPRequestHandler();
            }
        }
    }
}

function checkXMLRequestStatus() {
  if (currentXMLReq.readyState == 4) {
    if (currentXMLReq.status == 200) {
      return true;
    } else {
      alert("There was a problem retrieving the XML data:\n" + currentXMLReq.readyState + ' ' + currentXMLReq.statusText);
    }
  }
  return false;
}

function XMLHTTPRequestHandler() {
  if (checkXMLRequestStatus()) {
    if (currentXMLReq.responseXML) {  
      response  = currentXMLReq.responseXML.documentElement;
      if (response.tagName == 'msg') {
        alert(HTMLCharDecode(response.firstChild.data));
      } else if (response.tagName == 'response') {
        method    = response.getElementsByTagName('method')[0].firstChild.data;
        data    = response.getElementsByTagName('data')[0];
        params    = response.getElementsByTagName('param');
        eval(method + '(data, params)');
      }
    } else if (currentXMLReq.responseText != '') {
      alert('Error: '+currentXMLReq.responseText);
    }
  }
}

HTMLCharEncode = function(text) {
  var result = String(text);
	result = result.replace( /\"/g, "&quot;");
	result = result.replace( /</g, "&lt;");
	result = result.replace( />/g, "&gt;");
	return result;
}

HTMLCharDecode = function(text) {
  var result = String(text);
	result = result.replace( /&quot;/g, '"');
	result = result.replace( /&lt;/g, "<");
	result = result.replace( /&gt;/g, ">");
	return result;
}