<?php
/**
* Edit pages
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: topic.php,v 1.1.1.1 2005/09/30 15:51:03 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE) {
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_topic.php');
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Edit pages'));

  $topic = &new papaya_topic;
  $topic->authUser = &$PAPAYA_USER;
  $topic->msgs = &$PAPAYA_MSG;
  $topic->layout = &$PAPAYA_LAYOUT;
  $topic->images = &$PAPAYA_IMAGES;

  $topic->initialize(@(int)$_REQUEST['p_id']);
  $topic->execute();
}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();

?>